Cannot move/remove staged directories on Win7 while installing Lightning 1.0b4 - "Lightning could not be installed because Thunderbird cannot modify the needed file.". And worse if not running Thunderbird as administrator

RESOLVED INCOMPLETE

Status

()

RESOLVED INCOMPLETE
7 years ago
3 years ago

People

(Reporter: erikmjacobs, Unassigned)

Tracking

(Blocks: 1 bug)

5 Branch
x86
Windows 7
Points:
---

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

7 years ago
User Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:5.0) Gecko/20100101 Firefox/5.0
Build ID: 20110615151330

Steps to reproduce:

Attempt to install Lightning.  

Mozilla/5.0 (Windows NT 6.1; WOW64; rv:5.0) Gecko/20110624 Thunderbird/5.0


Actual results:

TB5 reports lightning is installed, and requests a restart.  Upon restart, Lightning is not listed in the installed add-ons.


Expected results:

Lightning should be installed.
Is this a 32 or 64 bit Thunderbird? We only support the former, if you are using a 64 bit Thunderbird, please install a 32 bit version.
(Reporter)

Comment 2

7 years ago
User Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:5.0) Gecko/20100101 Firefox/5.0
Build ID: 20110615151330

I see no other way to determine whether it is 32- or 64-bit.  I was running it fine before with TB3, and it broke after the upgrade. So if the upgrade automatically installs 64-bit after already having 32-bit, then I have to yell at the TB people for that.
The default should be 32 bit. You can see this in the task manager (Ctrl+Shift+Escape), the Processes view, it should say "thunderbird.exe*32". Could you reinstall Lightning and be sure to click "Continue" if there is a slow script warning?
(Reporter)

Comment 4

7 years ago
It does say Thunderbird*32.

I have reinstalled Lightning multiple times.  I never get any slow script warnings.  If there is any way to log the installation, I would be happy to do so.  What I can say is that, inside my profile folder, the extension begins to create directories/folders, but they are all empty.  Once TBird is restarted, they disappear.
Could you try it on a new profile maybe? Otherwise there is a pref "extensions.logging.enabled" that you could set to true.
OS: Other → Windows 7
Hardware: All → x86_64
Summary: Cannot install Lightning against TB5 on Win7-64 → Cannot install Lightning against TB5 on Win7
(Reporter)

Comment 6

7 years ago
Created clean profile and installed.  Here's the output.  Note that I am not using the default profile location.

2011-07-12 16:38:43 ERROR addons.xpi: Failed to remove directory C:\Users\Erik\Documents\testprofile\extensions\staged\{e2fda1a4-762b-4020-b5ad-a41df1933103}\chrome\calendar-es-ES\locale\es-ES: [Exception... "Component returned failure code: 0x80004005 (NS_ERROR_FAILURE) [nsIFile.remove]"  nsresult: "0x80004005 (NS_ERROR_FAILURE)"  location: "JS frame :: resource://gre/modules/XPIProvider.jsm :: <TOP_LEVEL> :: line 211"  data: no] at resource://gre/modules/XPIProvider.jsm:211
2011-07-12 16:38:43 ERROR addons.xpi: Failure moving C:\Users\Erik\Documents\testprofile\extensions\staged\{e2fda1a4-762b-4020-b5ad-a41df1933103}\chrome\calendar-es-ES\locale\es-ES to C:\Users\Erik\Documents\testprofile\extensions\{e2fda1a4-762b-4020-b5ad-a41df1933103}\chrome\calendar-es-ES\locale at resource://gre/modules/XPIProvider.jsm:232
2011-07-12 16:38:43 ERROR addons.xpi: Failed to move entry C:\Users\Erik\Documents\testprofile\extensions\staged\{e2fda1a4-762b-4020-b5ad-a41df1933103}\chrome\calendar-es-ES\locale\es-ES: [Exception... "Component returned failure code: 0x80004005 (NS_ERROR_FAILURE) [nsIFile.remove]"  nsresult: "0x80004005 (NS_ERROR_FAILURE)"  location: "JS frame :: resource://gre/modules/XPIProvider.jsm :: <TOP_LEVEL> :: line 211"  data: no] at resource://gre/modules/XPIProvider.jsm:211
2011-07-12 16:38:43 ERROR addons.xpi: Failure moving C:\Users\Erik\Documents\testprofile\extensions\staged\{e2fda1a4-762b-4020-b5ad-a41df1933103}\chrome\calendar-es-ES\locale to C:\Users\Erik\Documents\testprofile\extensions\{e2fda1a4-762b-4020-b5ad-a41df1933103}\chrome\calendar-es-ES at resource://gre/modules/XPIProvider.jsm:232
2011-07-12 16:38:43 ERROR addons.xpi: Failed to move entry C:\Users\Erik\Documents\testprofile\extensions\staged\{e2fda1a4-762b-4020-b5ad-a41df1933103}\chrome\calendar-es-ES\locale: [Exception... "Component returned failure code: 0x80004005 (NS_ERROR_FAILURE) [nsIFile.remove]"  nsresult: "0x80004005 (NS_ERROR_FAILURE)"  location: "JS frame :: resource://gre/modules/XPIProvider.jsm :: <TOP_LEVEL> :: line 211"  data: no] at resource://gre/modules/XPIProvider.jsm:211
2011-07-12 16:38:43 ERROR addons.xpi: Failure moving C:\Users\Erik\Documents\testprofile\extensions\staged\{e2fda1a4-762b-4020-b5ad-a41df1933103}\chrome\calendar-es-ES to C:\Users\Erik\Documents\testprofile\extensions\{e2fda1a4-762b-4020-b5ad-a41df1933103}\chrome at resource://gre/modules/XPIProvider.jsm:232
2011-07-12 16:38:43 ERROR addons.xpi: Failed to move entry C:\Users\Erik\Documents\testprofile\extensions\staged\{e2fda1a4-762b-4020-b5ad-a41df1933103}\chrome\calendar-es-ES: [Exception... "Component returned failure code: 0x80004005 (NS_ERROR_FAILURE) [nsIFile.remove]"  nsresult: "0x80004005 (NS_ERROR_FAILURE)"  location: "JS frame :: resource://gre/modules/XPIProvider.jsm :: <TOP_LEVEL> :: line 211"  data: no] at resource://gre/modules/XPIProvider.jsm:211
2011-07-12 16:38:43 ERROR addons.xpi: Failure moving C:\Users\Erik\Documents\testprofile\extensions\staged\{e2fda1a4-762b-4020-b5ad-a41df1933103}\chrome to C:\Users\Erik\Documents\testprofile\extensions\{e2fda1a4-762b-4020-b5ad-a41df1933103} at resource://gre/modules/XPIProvider.jsm:232
2011-07-12 16:38:43 ERROR addons.xpi: Failed to move entry C:\Users\Erik\Documents\testprofile\extensions\staged\{e2fda1a4-762b-4020-b5ad-a41df1933103}\chrome: [Exception... "Component returned failure code: 0x80004005 (NS_ERROR_FAILURE) [nsIFile.remove]"  nsresult: "0x80004005 (NS_ERROR_FAILURE)"  location: "JS frame :: resource://gre/modules/XPIProvider.jsm :: <TOP_LEVEL> :: line 211"  data: no] at resource://gre/modules/XPIProvider.jsm:211
2011-07-12 16:38:43 ERROR addons.xpi: Failure moving C:\Users\Erik\Documents\testprofile\extensions\staged\{e2fda1a4-762b-4020-b5ad-a41df1933103} to C:\Users\Erik\Documents\testprofile\extensions at resource://gre/modules/XPIProvider.jsm:232
2011-07-12 16:38:44 ERROR addons.xpi: Failed to install staged add-on {e2fda1a4-762b-4020-b5ad-a41df1933103} in app-profile: [Exception... "Component returned failure code: 0x80004005 (NS_ERROR_FAILURE) [nsIFile.remove]"  nsresult: "0x80004005 (NS_ERROR_FAILURE)"  location: "JS frame :: resource://gre/modules/XPIProvider.jsm :: <TOP_LEVEL> :: line 211"  data: no] at resource://gre/modules/XPIProvider.jsm:211
OS: Windows 7 → Other
Hardware: x86_64 → All
(Reporter)

Comment 7

7 years ago
With a profile in the default location:

2011-07-12 16:44:08 ERROR addons.xpi: Failed to remove directory C:\Users\Erik\AppData\Roaming\Thunderbird\Profiles\ycm18y5l.Test\extensions\staged\{e2fda1a4-762b-4020-b5ad-a41df1933103}\chrome\calendar-ca\locale\ca: [Exception... "Component returned failure code: 0x80004005 (NS_ERROR_FAILURE) [nsIFile.remove]"  nsresult: "0x80004005 (NS_ERROR_FAILURE)"  location: "JS frame :: resource://gre/modules/XPIProvider.jsm :: <TOP_LEVEL> :: line 211"  data: no] at resource://gre/modules/XPIProvider.jsm:211
2011-07-12 16:44:08 ERROR addons.xpi: Failure moving C:\Users\Erik\AppData\Roaming\Thunderbird\Profiles\ycm18y5l.Test\extensions\staged\{e2fda1a4-762b-4020-b5ad-a41df1933103}\chrome\calendar-ca\locale\ca to C:\Users\Erik\AppData\Roaming\Thunderbird\Profiles\ycm18y5l.Test\extensions\{e2fda1a4-762b-4020-b5ad-a41df1933103}\chrome\calendar-ca\locale at resource://gre/modules/XPIProvider.jsm:232
2011-07-12 16:44:08 ERROR addons.xpi: Failed to move entry C:\Users\Erik\AppData\Roaming\Thunderbird\Profiles\ycm18y5l.Test\extensions\staged\{e2fda1a4-762b-4020-b5ad-a41df1933103}\chrome\calendar-ca\locale\ca: [Exception... "Component returned failure code: 0x80004005 (NS_ERROR_FAILURE) [nsIFile.remove]"  nsresult: "0x80004005 (NS_ERROR_FAILURE)"  location: "JS frame :: resource://gre/modules/XPIProvider.jsm :: <TOP_LEVEL> :: line 211"  data: no] at resource://gre/modules/XPIProvider.jsm:211
2011-07-12 16:44:08 ERROR addons.xpi: Failure moving C:\Users\Erik\AppData\Roaming\Thunderbird\Profiles\ycm18y5l.Test\extensions\staged\{e2fda1a4-762b-4020-b5ad-a41df1933103}\chrome\calendar-ca\locale to C:\Users\Erik\AppData\Roaming\Thunderbird\Profiles\ycm18y5l.Test\extensions\{e2fda1a4-762b-4020-b5ad-a41df1933103}\chrome\calendar-ca at resource://gre/modules/XPIProvider.jsm:232
2011-07-12 16:44:08 ERROR addons.xpi: Failed to move entry C:\Users\Erik\AppData\Roaming\Thunderbird\Profiles\ycm18y5l.Test\extensions\staged\{e2fda1a4-762b-4020-b5ad-a41df1933103}\chrome\calendar-ca\locale: [Exception... "Component returned failure code: 0x80004005 (NS_ERROR_FAILURE) [nsIFile.remove]"  nsresult: "0x80004005 (NS_ERROR_FAILURE)"  location: "JS frame :: resource://gre/modules/XPIProvider.jsm :: <TOP_LEVEL> :: line 211"  data: no] at resource://gre/modules/XPIProvider.jsm:211
2011-07-12 16:44:08 ERROR addons.xpi: Failure moving C:\Users\Erik\AppData\Roaming\Thunderbird\Profiles\ycm18y5l.Test\extensions\staged\{e2fda1a4-762b-4020-b5ad-a41df1933103}\chrome\calendar-ca to C:\Users\Erik\AppData\Roaming\Thunderbird\Profiles\ycm18y5l.Test\extensions\{e2fda1a4-762b-4020-b5ad-a41df1933103}\chrome at resource://gre/modules/XPIProvider.jsm:232
2011-07-12 16:44:08 ERROR addons.xpi: Failed to move entry C:\Users\Erik\AppData\Roaming\Thunderbird\Profiles\ycm18y5l.Test\extensions\staged\{e2fda1a4-762b-4020-b5ad-a41df1933103}\chrome\calendar-ca: [Exception... "Component returned failure code: 0x80004005 (NS_ERROR_FAILURE) [nsIFile.remove]"  nsresult: "0x80004005 (NS_ERROR_FAILURE)"  location: "JS frame :: resource://gre/modules/XPIProvider.jsm :: <TOP_LEVEL> :: line 211"  data: no] at resource://gre/modules/XPIProvider.jsm:211
2011-07-12 16:44:08 ERROR addons.xpi: Failure moving C:\Users\Erik\AppData\Roaming\Thunderbird\Profiles\ycm18y5l.Test\extensions\staged\{e2fda1a4-762b-4020-b5ad-a41df1933103}\chrome to C:\Users\Erik\AppData\Roaming\Thunderbird\Profiles\ycm18y5l.Test\extensions\{e2fda1a4-762b-4020-b5ad-a41df1933103} at resource://gre/modules/XPIProvider.jsm:232
2011-07-12 16:44:08 ERROR addons.xpi: Failed to move entry C:\Users\Erik\AppData\Roaming\Thunderbird\Profiles\ycm18y5l.Test\extensions\staged\{e2fda1a4-762b-4020-b5ad-a41df1933103}\chrome: [Exception... "Component returned failure code: 0x80004005 (NS_ERROR_FAILURE) [nsIFile.remove]"  nsresult: "0x80004005 (NS_ERROR_FAILURE)"  location: "JS frame :: resource://gre/modules/XPIProvider.jsm :: <TOP_LEVEL> :: line 211"  data: no] at resource://gre/modules/XPIProvider.jsm:211
2011-07-12 16:44:08 ERROR addons.xpi: Failure moving C:\Users\Erik\AppData\Roaming\Thunderbird\Profiles\ycm18y5l.Test\extensions\staged\{e2fda1a4-762b-4020-b5ad-a41df1933103} to C:\Users\Erik\AppData\Roaming\Thunderbird\Profiles\ycm18y5l.Test\extensions at resource://gre/modules/XPIProvider.jsm:232
2011-07-12 16:44:08 ERROR addons.xpi: Failed to install staged add-on {e2fda1a4-762b-4020-b5ad-a41df1933103} in app-profile: [Exception... "Component returned failure code: 0x80004005 (NS_ERROR_FAILURE) [nsIFile.remove]"  nsresult: "0x80004005 (NS_ERROR_FAILURE)"  location: "JS frame :: resource://gre/modules/XPIProvider.jsm :: <TOP_LEVEL> :: line 211"  data: no] at resource://gre/modules/XPIProvider.jsm:211
(Reporter)

Updated

7 years ago
OS: Other → Windows 7
Hardware: All → x86
(Reporter)

Comment 8

7 years ago
Starting TB5 in safe mode from a command prompt that I run as administrator, with a fresh profile in the default folder, Thunderbird will produce a red error bar at the top:
"Lightning could not be installed because Thunderbird cannot modify the needed file."

Here's the extensions.log:
2011-07-14 09:02:06 ERROR addons.xpi: Failed to remove directory C:\Users\Erik\AppData\Roaming\Thunderbird\Profiles\pabuv4qq.test\extensions\staged\{e2fda1a4-762b-4020-b5ad-a41df1933103}\chrome\calendar-es-ES\locale\es-ES: [Exception... "Component returned failure code: 0x80004005 (NS_ERROR_FAILURE) [nsIFile.remove]"  nsresult: "0x80004005 (NS_ERROR_FAILURE)"  location: "JS frame :: resource://gre/modules/XPIProvider.jsm :: <TOP_LEVEL> :: line 211"  data: no] at resource://gre/modules/XPIProvider.jsm:211
2011-07-14 09:02:06 ERROR addons.xpi: Failure moving C:\Users\Erik\AppData\Roaming\Thunderbird\Profiles\pabuv4qq.test\extensions\staged\{e2fda1a4-762b-4020-b5ad-a41df1933103}\chrome\calendar-es-ES\locale\es-ES to C:\Users\Erik\AppData\Roaming\Thunderbird\Profiles\pabuv4qq.test\extensions\{e2fda1a4-762b-4020-b5ad-a41df1933103}\chrome\calendar-es-ES\locale at resource://gre/modules/XPIProvider.jsm:232
2011-07-14 09:02:06 ERROR addons.xpi: Failed to move entry C:\Users\Erik\AppData\Roaming\Thunderbird\Profiles\pabuv4qq.test\extensions\staged\{e2fda1a4-762b-4020-b5ad-a41df1933103}\chrome\calendar-es-ES\locale\es-ES: [Exception... "Component returned failure code: 0x80004005 (NS_ERROR_FAILURE) [nsIFile.remove]"  nsresult: "0x80004005 (NS_ERROR_FAILURE)"  location: "JS frame :: resource://gre/modules/XPIProvider.jsm :: <TOP_LEVEL> :: line 211"  data: no] at resource://gre/modules/XPIProvider.jsm:211
2011-07-14 09:02:06 ERROR addons.xpi: Failure moving C:\Users\Erik\AppData\Roaming\Thunderbird\Profiles\pabuv4qq.test\extensions\staged\{e2fda1a4-762b-4020-b5ad-a41df1933103}\chrome\calendar-es-ES\locale to C:\Users\Erik\AppData\Roaming\Thunderbird\Profiles\pabuv4qq.test\extensions\{e2fda1a4-762b-4020-b5ad-a41df1933103}\chrome\calendar-es-ES at resource://gre/modules/XPIProvider.jsm:232
2011-07-14 09:02:06 ERROR addons.xpi: Failed to move entry C:\Users\Erik\AppData\Roaming\Thunderbird\Profiles\pabuv4qq.test\extensions\staged\{e2fda1a4-762b-4020-b5ad-a41df1933103}\chrome\calendar-es-ES\locale: [Exception... "Component returned failure code: 0x80004005 (NS_ERROR_FAILURE) [nsIFile.remove]"  nsresult: "0x80004005 (NS_ERROR_FAILURE)"  location: "JS frame :: resource://gre/modules/XPIProvider.jsm :: <TOP_LEVEL> :: line 211"  data: no] at resource://gre/modules/XPIProvider.jsm:211
2011-07-14 09:02:06 ERROR addons.xpi: Failure moving C:\Users\Erik\AppData\Roaming\Thunderbird\Profiles\pabuv4qq.test\extensions\staged\{e2fda1a4-762b-4020-b5ad-a41df1933103}\chrome\calendar-es-ES to C:\Users\Erik\AppData\Roaming\Thunderbird\Profiles\pabuv4qq.test\extensions\{e2fda1a4-762b-4020-b5ad-a41df1933103}\chrome at resource://gre/modules/XPIProvider.jsm:232
2011-07-14 09:02:06 ERROR addons.xpi: Failed to move entry C:\Users\Erik\AppData\Roaming\Thunderbird\Profiles\pabuv4qq.test\extensions\staged\{e2fda1a4-762b-4020-b5ad-a41df1933103}\chrome\calendar-es-ES: [Exception... "Component returned failure code: 0x80004005 (NS_ERROR_FAILURE) [nsIFile.remove]"  nsresult: "0x80004005 (NS_ERROR_FAILURE)"  location: "JS frame :: resource://gre/modules/XPIProvider.jsm :: <TOP_LEVEL> :: line 211"  data: no] at resource://gre/modules/XPIProvider.jsm:211
2011-07-14 09:02:06 ERROR addons.xpi: Failure moving C:\Users\Erik\AppData\Roaming\Thunderbird\Profiles\pabuv4qq.test\extensions\staged\{e2fda1a4-762b-4020-b5ad-a41df1933103}\chrome to C:\Users\Erik\AppData\Roaming\Thunderbird\Profiles\pabuv4qq.test\extensions\{e2fda1a4-762b-4020-b5ad-a41df1933103} at resource://gre/modules/XPIProvider.jsm:232
2011-07-14 09:02:06 ERROR addons.xpi: Failed to move entry C:\Users\Erik\AppData\Roaming\Thunderbird\Profiles\pabuv4qq.test\extensions\staged\{e2fda1a4-762b-4020-b5ad-a41df1933103}\chrome: [Exception... "Component returned failure code: 0x80004005 (NS_ERROR_FAILURE) [nsIFile.remove]"  nsresult: "0x80004005 (NS_ERROR_FAILURE)"  location: "JS frame :: resource://gre/modules/XPIProvider.jsm :: <TOP_LEVEL> :: line 211"  data: no] at resource://gre/modules/XPIProvider.jsm:211
2011-07-14 09:02:06 ERROR addons.xpi: Failure moving C:\Users\Erik\AppData\Roaming\Thunderbird\Profiles\pabuv4qq.test\extensions\staged\{e2fda1a4-762b-4020-b5ad-a41df1933103} to C:\Users\Erik\AppData\Roaming\Thunderbird\Profiles\pabuv4qq.test\extensions at resource://gre/modules/XPIProvider.jsm:232

I am seeing these types of errors across all of these error logs:
Component returned failure code: 0x80004005 (NS_ERROR_FAILURE) [nsIFile.remove]

There's a thread here that discusses similar issues installing Lightning:
http://forums.mozillazine.org/viewtopic.php?f=46&t=2239883

Another person:
http://getsatisfaction.com/mozilla_messaging/topics/lightning_1_0b4_failing_to_install_on_t5_0

There is something fishy in the way that TB5 is working with Win7 and the way that Lighting is trying to install itself and move itself around.

Note that I also tried to run Thunderbird directly with Administrative privileges with both a clean profile and my current profile and had the exact same issues.
The installing and moving stuff happens in the extension manager core, I have no idea why its bailing out though. I'm going to move this to Toolkit/Addons-Manager and will confirm based on all the reports on mozillazine.

I hope we can find the reason, but since this seems to be broken in the Mozilla platform, it may not be fixed before Thunderbird 6/7 (which is max. 6/12 weeks down the road)
Status: UNCONFIRMED → NEW
Component: Lightning Only → Add-ons Manager
Ever confirmed: true
Product: Calendar → Toolkit
QA Contact: lightning → add-ons.manager
Version: Lightning 1.0b4 → 5 Branch
Summary: Cannot install Lightning against TB5 on Win7 → Cannot move/remove staged directories on Win7 while installing Lightning 1.0b4
Similar problems in bug 666896 where the install succeeds, just takes a long time. Not been able to reproduce this one myself yet though
(Reporter)

Comment 11

7 years ago
I am running Microsoft security essentials, but I have no issues with hanging/etc.

I did notice that when I do *not* run TB as administrator, the files do not even get deployed -- just a bunch of empty directories.  When I *do* run TB as administrator, the files all get deployed, but upon restarting TB they all get disappeared as TB appears to be unable to move them.

I'll try a few other things and see if I get the same results, but it appears that something with Windows 7 really does not like how TB is trying to move files around.
(Reporter)

Comment 12

7 years ago
Is there any way I can help move this along, or am I waiting for TB6 / going back to TB3?
(In reply to comment #12)
> Is there any way I can help move this along, or am I waiting for TB6 / going
> back to TB3?

Based on my understanding of the problem (which is simplistic since I've been unable to reproduce it for myself), TB updates won't help here. There is a potential way to fix this but it is a lot of work. The better option would be to change Lightning to support packed installation, this would both solve this problem as well as improve startup performance with Lightning installed. Unfortunately since Lightning uses binary components this may be impossible
Lightning is moving towards js-ctypes, but this won't happen before 1.0 so thats of no help. I'm not sure how the staging stuff works, but maybe you could manually unpack the xpi into the extensions/{e62...uid of lightning...} folder and then start Thunderbird?
(Reporter)

Comment 15

7 years ago
Appears to be fixed in TB6, at least for me.
(Reporter)

Comment 16

7 years ago
Google Provider now appears to fail with this same issue:
011-08-22 21:17:04 ERROR addons.xpi: Failed to remove directory C:\Users\Erik\Documents\Thunderbird Profile\extensions\staged\{a62ef8ec-5fdc-40c2-873c-223b8a6925cc}\chrome\gdata-provider-es-ES\locale: [Exception... "Component returned failure code: 0x80004005 (NS_ERROR_FAILURE) [nsIFile.remove]"  nsresult: "0x80004005 (NS_ERROR_FAILURE)"  location: "JS frame :: resource://gre/modules/XPIProvider.jsm :: <TOP_LEVEL> :: line 217"  data: no] at resource://gre/modules/XPIProvider.jsm:217
2011-08-22 21:17:04 ERROR addons.xpi: Failure moving C:\Users\Erik\Documents\Thunderbird Profile\extensions\staged\{a62ef8ec-5fdc-40c2-873c-223b8a6925cc}\chrome\gdata-provider-es-ES\locale to C:\Users\Erik\Documents\Thunderbird Profile\extensions\{a62ef8ec-5fdc-40c2-873c-223b8a6925cc}\chrome\gdata-provider-es-ES at resource://gre/modules/XPIProvider.jsm:238
2011-08-22 21:17:04 ERROR addons.xpi: Failed to move entry C:\Users\Erik\Documents\Thunderbird Profile\extensions\staged\{a62ef8ec-5fdc-40c2-873c-223b8a6925cc}\chrome\gdata-provider-es-ES\locale: [Exception... "Component returned failure code: 0x80004005 (NS_ERROR_FAILURE) [nsIFile.remove]"  nsresult: "0x80004005 (NS_ERROR_FAILURE)"  location: "JS frame :: resource://gre/modules/XPIProvider.jsm :: <TOP_LEVEL> :: line 217"  data: no] at resource://gre/modules/XPIProvider.jsm:217
2011-08-22 21:17:04 ERROR addons.xpi: Failure moving C:\Users\Erik\Documents\Thunderbird Profile\extensions\staged\{a62ef8ec-5fdc-40c2-873c-223b8a6925cc}\chrome\gdata-provider-es-ES to C:\Users\Erik\Documents\Thunderbird Profile\extensions\{a62ef8ec-5fdc-40c2-873c-223b8a6925cc}\chrome at resource://gre/modules/XPIProvider.jsm:238
2011-08-22 21:17:04 ERROR addons.xpi: Failed to move entry C:\Users\Erik\Documents\Thunderbird Profile\extensions\staged\{a62ef8ec-5fdc-40c2-873c-223b8a6925cc}\chrome\gdata-provider-es-ES: [Exception... "Component returned failure code: 0x80004005 (NS_ERROR_FAILURE) [nsIFile.remove]"  nsresult: "0x80004005 (NS_ERROR_FAILURE)"  location: "JS frame :: resource://gre/modules/XPIProvider.jsm :: <TOP_LEVEL> :: line 217"  data: no] at resource://gre/modules/XPIProvider.jsm:217
2011-08-22 21:17:04 ERROR addons.xpi: Failure moving C:\Users\Erik\Documents\Thunderbird Profile\extensions\staged\{a62ef8ec-5fdc-40c2-873c-223b8a6925cc}\chrome to C:\Users\Erik\Documents\Thunderbird Profile\extensions\{a62ef8ec-5fdc-40c2-873c-223b8a6925cc} at resource://gre/modules/XPIProvider.jsm:238
2011-08-22 21:17:04 ERROR addons.xpi: Failed to move entry C:\Users\Erik\Documents\Thunderbird Profile\extensions\staged\{a62ef8ec-5fdc-40c2-873c-223b8a6925cc}\chrome: [Exception... "Component returned failure code: 0x80004005 (NS_ERROR_FAILURE) [nsIFile.remove]"  nsresult: "0x80004005 (NS_ERROR_FAILURE)"  location: "JS frame :: resource://gre/modules/XPIProvider.jsm :: <TOP_LEVEL> :: line 217"  data: no] at resource://gre/modules/XPIProvider.jsm:217
2011-08-22 21:17:04 ERROR addons.xpi: Failure moving C:\Users\Erik\Documents\Thunderbird Profile\extensions\staged\{a62ef8ec-5fdc-40c2-873c-223b8a6925cc} to C:\Users\Erik\Documents\Thunderbird Profile\extensions at resource://gre/modules/XPIProvider.jsm:238
2011-08-22 21:17:05 ERROR addons.xpi: Failed to install staged add-on {a62ef8ec-5fdc-40c2-873c-223b8a6925cc} in app-profile: [Exception... "Component returned failure code: 0x80004005 (NS_ERROR_FAILURE) [nsIFile.remove]"  nsresult: "0x80004005 (NS_ERROR_FAILURE)"  location: "JS frame :: resource://gre/modules/XPIProvider.jsm :: <TOP_LEVEL> :: line 217"  data: no] at resource://gre/modules/XPIProvider.jsm:217
2011-08-22 21:18:14 ERROR addons.xpi: Failed to remove directory C:\Users\Erik\Documents\Thunderbird Profile\extensions\staged\{a62ef8ec-5fdc-40c2-873c-223b8a6925cc}\chrome\gdata-provider-ca: [Exception... "Component returned failure code: 0x80004005 (NS_ERROR_FAILURE) [nsIFile.remove]"  nsresult: "0x80004005 (NS_ERROR_FAILURE)"  location: "JS frame :: resource://gre/modules/XPIProvider.jsm :: <TOP_LEVEL> :: line 217"  data: no] at resource://gre/modules/XPIProvider.jsm:217
2011-08-22 21:18:14 ERROR addons.xpi: Failure moving C:\Users\Erik\Documents\Thunderbird Profile\extensions\staged\{a62ef8ec-5fdc-40c2-873c-223b8a6925cc}\chrome\gdata-provider-ca to C:\Users\Erik\Documents\Thunderbird Profile\extensions\{a62ef8ec-5fdc-40c2-873c-223b8a6925cc}\chrome at resource://gre/modules/XPIProvider.jsm:238
2011-08-22 21:18:14 ERROR addons.xpi: Failed to move entry C:\Users\Erik\Documents\Thunderbird Profile\extensions\staged\{a62ef8ec-5fdc-40c2-873c-223b8a6925cc}\chrome\gdata-provider-ca: [Exception... "Component returned failure code: 0x80004005 (NS_ERROR_FAILURE) [nsIFile.remove]"  nsresult: "0x80004005 (NS_ERROR_FAILURE)"  location: "JS frame :: resource://gre/modules/XPIProvider.jsm :: <TOP_LEVEL> :: line 217"  data: no] at resource://gre/modules/XPIProvider.jsm:217
2011-08-22 21:18:14 ERROR addons.xpi: Failure moving C:\Users\Erik\Documents\Thunderbird Profile\extensions\staged\{a62ef8ec-5fdc-40c2-873c-223b8a6925cc}\chrome to C:\Users\Erik\Documents\Thunderbird Profile\extensions\{a62ef8ec-5fdc-40c2-873c-223b8a6925cc} at resource://gre/modules/XPIProvider.jsm:238
2011-08-22 21:18:14 ERROR addons.xpi: Failed to move entry C:\Users\Erik\Documents\Thunderbird Profile\extensions\staged\{a62ef8ec-5fdc-40c2-873c-223b8a6925cc}\chrome: [Exception... "Component returned failure code: 0x80004005 (NS_ERROR_FAILURE) [nsIFile.remove]"  nsresult: "0x80004005 (NS_ERROR_FAILURE)"  location: "JS frame :: resource://gre/modules/XPIProvider.jsm :: <TOP_LEVEL> :: line 217"  data: no] at resource://gre/modules/XPIProvider.jsm:217
2011-08-22 21:18:14 ERROR addons.xpi: Failure moving C:\Users\Erik\Documents\Thunderbird Profile\extensions\staged\{a62ef8ec-5fdc-40c2-873c-223b8a6925cc} to C:\Users\Erik\Documents\Thunderbird Profile\extensions at resource://gre/modules/XPIProvider.jsm:238
2011-08-22 21:18:14 ERROR addons.xpi: Failed to install staged add-on {a62ef8ec-5fdc-40c2-873c-223b8a6925cc} in app-profile: [Exception... "Component returned failure code: 0x80004005 (NS_ERROR_FAILURE) [nsIFile.remove]"  nsresult: "0x80004005 (NS_ERROR_FAILURE)"  location: "JS frame :: resource://gre/modules/XPIProvider.jsm :: <TOP_LEVEL> :: line 217"  data: no] at resource://gre/modules/XPIProvider.jsm:217

Comment 17

6 years ago
Is this likely fixed?

Erik M Jacobs, reporter, is no longer in a position to verify and he isn't operating on windows.


(In reply to Dave Townsend (:Mossop) from comment #10)
> Similar problems in bug 666896 where the install succeeds, just takes a long
> time. Not been able to reproduce this one myself yet though

this was duped to bug 562674

Comment 18

3 years ago
Fallen, mossop, feel free to reopen if you see something interesting in comment 16. 
Perhaps fixed by Bug 562674 - Make xpi extraction asynchronous - but we won't now because reporter won't be tested, so I'm going to close this.
Status: NEW → RESOLVED
Last Resolved: 3 years ago
Resolution: --- → INCOMPLETE
Summary: Cannot move/remove staged directories on Win7 while installing Lightning 1.0b4 → Cannot move/remove staged directories on Win7 while installing Lightning 1.0b4 - "Lightning could not be installed because Thunderbird cannot modify the needed file.". And worse if not running Thunderbird as administrator

Updated

3 years ago
Blocks: 1215828
You need to log in before you can comment on or make changes to this bug.